uniform sampler2D tex0;
uniform mediump vec4 filter_settings;

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec4 varColor;

void main (void)
{
	vec3 baseCol=texture2D(tex0, varTexcoord0.st, 0.0).rgb;
	//assumes alpha of const_col is 1
	vec3 finalCol=baseCol*varColor.rgb+filter_settings.rgb;
	gl_FragColor =vec4(finalCol, 1.0);
}


